Subject: Re: [PATCH][RFC] cxgb4: Not need to hold the adap_rcu_lock lock when read adap_rcu_list

From: Casey Leedom <[email-masked]>
Date: Mon, 23 Jun 2014 15:35:25 -0700

On 06/23/14 14:50, David Miller wrote:
> From: <[email-masked]>
> Date: Fri, 20 Jun 2014 17:32:36 +0800
>
>> cxgb4_netdev maybe lead to dead lock, since it uses a spin lock, and be called
>> in both thread and softirq context, but not disable BH, the lockdep report is
>> below; In fact, cxgb4_netdev only reads adap_rcu_list with RCU protection, so
>> not need to hold spin lock again.
> I think this change is fine, and correct, but I would like to see some
> reviews from the cxgb4 maintainers.

   Thanks David.  Hari is gone on PTO so I think I'm the next logical 
person ... :-)

   I've gone back and reviewed the original patch, Eric Dumazet6's reply 
and revised patch and compared that against this proposed patch.  Li 
RongQing is submitting the same patch that Eric suggested with the 
addition of a call to synchronize_rcu() the in driver remove() 
function.  I'm not super familiar with the RCU system but that addition 
certainly seems innocuous enough.  Other than that, everything looks fine.